Foreman - Feature #32769

Associate a VM via APl to a compute resource
06/10/2021 10:40 AM - Dominik Matoulek

Status: Closed

Priority: High

Assignee:

Category: Compute resources

Target version:

Difficulty: Fixed in Releases: 3.1.0
Triaged: No Found in Releases:
Bugzilla link: 1937470 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/8677
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1774104

Proposed title of this feature request
Associate a VM via AP| or Hammer to a compute resource

What is the nature and description of the request?

Currently it needs to be done for each VM manually via Webui or for all VMs:

Infrastructure -> compute resources -> choose compute_resource -> Virtual Machines -> find desired vm -> hover over

"Associate VM" button in the top right corner

Why does the user need this?

- Does not want to associate all VMs only certain VMs and currently this is not possible outside of the Webui.

- For automation

How would the user like to achieve this? (List the functional
requirements here)
Hammer or API call for:

~

https://foreman-server/compute_resources/compute_resource_id/vms/instance_uuid/associate.

Related issues:

Related to Hammer CLI - Feature #33047: Associate a single VM via hammer to a...

Closed

Associated revisions

Revision ee07dbe2 - 08/09/2021 02:57 PM - Adi Abramovitch

Fixes #32769 - Associate a VM via API to a compute resource

History

#1 - 07/18/2021 01:12 PM - Adi Abramovitch

- Subject changed from Associate a VM via APl or hammer to a compute resource
to Associate a VM via API to a compute resource

- Category deleted (19)

#2 - 07/18/2021 01:13 PM - Adi Abramovitch

Dominik Matoulek wrote:

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1774104

Proposed title of this feature request
Associate a VM via APl or Hammer to a compute resource

What is the nature and description of the request?
Currently it needs to be done for each VM manually via Webui or for all VMs:
Infrastructure -> compute resources -> choose compute_resource -> Virtual Machines -> find desired vm -> hover over "Associate VM"
button in the top right corner

Why does the user need this?
- Does not want to associate all VMs only certain VMs and currently this is not possible outside of the Webui.
- For automation

How would the user like to achieve this? (List the functional
requirements here)
Hammer or API call for:

https://foreman-server/compute_resources/compute_resource_id/vms/instance_uuid/associate.

#3 - 07/19/2021 08:05 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/8677 added

#4 - 07/22/2021 07:35 AM - yifat makias

- Is duplicate of Feature #33047: Associate a single VM via hammer to a compute resource added

#5 - 07/22/2021 07:36 AM - yifat makias
- Status changed from Ready For Testing to Duplicate

#6 - 07/22/2021 08:04 AM - yifat makias
- Bugzilla link changed from 1774104 to 1937470

#7 - 08/09/2021 02:57 PM - The Foreman Bot
- Fixed in Releases 3.1.0 added

#8 - 08/24/2021 08:53 AM - Ondfej Ezr

- Status changed from Duplicate to Closed

#9 - 08/24/2021 08:53 AM - Ondfej Ezr

- Is duplicate of deleted (Feature #33047: Associate a single VM via hammer to a compute resource)

#10 - 08/24/2021 08:55 AM - Ondiej Ezr

- Related to Feature #3304 7: Associate a single VM via hammer to a compute resource added

#11 - 11/15/2021 04:51 PM - Amit Upadhye

- Category set to Compute resources
